package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmScoreRankTeam;

/**
 * 队伍积分排名Service接口
 *
 * @author ruoyi
 * @date 2024-12-05
 */
public interface IPdmScoreRankTeamService
{
    /**
     * 查询队伍积分排名
     *
     * @param id 队伍积分排名主键
     * @return 队伍积分排名
     */
    public PdmScoreRankTeam selectPdmScoreRankTeamById(Long id);

    /**
     * 查询队伍积分排名列表
     *
     * @param pdmScoreRankTeam 队伍积分排名
     * @return 队伍积分排名集合
     */
    public List<PdmScoreRankTeam> selectPdmScoreRankTeamList(PdmScoreRankTeam pdmScoreRankTeam);

    /**
     * 新增队伍积分排名
     *
     * @param pdmScoreRankTeam 队伍积分排名
     * @return 结果
     */
    public int insertPdmScoreRankTeam(PdmScoreRankTeam pdmScoreRankTeam);

    /**
     * 修改队伍积分排名
     *
     * @param pdmScoreRankTeam 队伍积分排名
     * @return 结果
     */
    public int updatePdmScoreRankTeam(PdmScoreRankTeam pdmScoreRankTeam);

    /**
     * 批量删除队伍积分排名
     *
     * @param ids 需要删除的队伍积分排名主键集合
     * @return 结果
     */
    public int deletePdmScoreRankTeamByIds(Long[] ids);

    /**
     * 删除队伍积分排名信息
     *
     * @param id 队伍积分排名主键
     * @return 结果
     */
    public int deletePdmScoreRankTeamById(Long id);


    /**
     * 统计并保存队伍得分
     * @param startDate
     * @param endDate
     * @return
     */
    int saveTeam(String startDate,String endDate);

    /**
     * 根据年分组统计队伍排名
     * @param pdmScoreRankTeam
     * @return
     */
    List<PdmScoreRankTeam> getTeamRankYearList(PdmScoreRankTeam pdmScoreRankTeam);
}
